org.apache.tools.ant.taskdefs.optional.jsp

## Class JspNameMangler

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.jsp.JspNameMangler

All Implemented Interfaces:
  JspMangler

    public class JspNameMangler
    extends java.lang.Object
    implements JspMangler

This is a class derived from the Jasper code (org.apache.jasper.compiler.CommandLineCompiler) to map from a JSP filename to a valid Java classname.

### Field Summary

Fields
`static java.lang.String[]` `keywords` this is the list of keywords which can not be used as classnames

### Constructor Summary

Constructors
Constructor and Description
`JspNameMangler()`

### Method Summary

Methods
`java.lang.String` `mapJspToJavaName(java.io.File jspFile)` map from a jsp file to a java filename; does not do packages
`java.lang.String` `mapPath(java.lang.String path)` taking in the substring representing the path relative to the source dir return a new string representing the destination path not supported, as jasper in tomcat4.0 doesn't either

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keywords

    public static final java.lang.String[] keywords

this is the list of keywords which can not be used as classnames

### Constructor Detail

#### JspNameMangler

    public JspNameMangler()

### Method Detail

#### mapJspToJavaName

    public java.lang.String mapJspToJavaName(java.io.File jspFile)

map from a jsp file to a java filename; does not do packages

Specified by:
  `mapJspToJavaName` in interface `JspMangler`
Parameters:
  `jspFile` - file
Returns:
  java filename

#### mapPath

    public java.lang.String mapPath(java.lang.String path)

taking in the substring representing the path relative to the source dir return a new string representing the destination path not supported, as jasper in tomcat4.0 doesn't either

Specified by:
  `mapPath` in interface `JspMangler`
Parameters:
  `path` - not used
Returns:
  null always.